/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomConsole_H___INT_
#define __GdomConsole_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Console.h"
namespace WebCore {
    gpointer toGDOM(Console* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMConsole : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CONSOLE; }
    GDOMConsole(PassRefPtr<WebCore::Console> impl);
    virtual ~GDOMConsole();
    WebCore::Console* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Console> m_impl;
};
G_END_DECLS

#endif /* __GdomConsole_H___INT_*/
